package com.kingdee.eas.custom.recuritment.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.hr.affair.ResignBizBillInfo;
import java.lang.String;



public abstract class AbstractResignBeisenFacadeControllerBean extends AbstractBizControllerBean implements ResignBeisenFacadeController
{
    protected AbstractResignBeisenFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("3B6AFD99");
    }

    public String syncBeisenReserveTalentPool(Context ctx, String resignBizBillID, ResignBizBillInfo resignBizBill) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("8c8700e8-d782-4969-a8c3-86ac23886355"), new Object[]{ctx, resignBizBillID, resignBizBill});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_syncBeisenReserveTalentPool(ctx, resignBizBillID, resignBizBill);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _syncBeisenReserveTalentPool(Context ctx, String resignBizBillID, IObjectValue resignBizBill) throws BOSException
    {    	
        return null;
    }

    public String syncUnBeisenReserveTalentPool(Context ctx, String resignBizBillID, ResignBizBillInfo resignBizBill) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("1d6cb2fc-6872-40bb-bd5f-bbe16ee07df8"), new Object[]{ctx, resignBizBillID, resignBizBill});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_syncUnBeisenReserveTalentPool(ctx, resignBizBillID, resignBizBill);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _syncUnBeisenReserveTalentPool(Context ctx, String resignBizBillID, IObjectValue resignBizBill) throws BOSException
    {    	
        return null;
    }

}